<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/recommendView"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_gamedetail_recommend_close"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/recommendText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="92dp"
            android:layout_marginTop="12dp"
            android:layout_marginRight="25dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:maxWidth="104dp"
            android:maxLength="16"
            android:text="光环助手光环助手光环助手"
            android:textColor="@color/text_title"
            android:textSize="13sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/recommendLinkTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/recommendText"
            android:layout_alignParentRight="true"
            android:layout_marginTop="3dp"
            android:layout_marginRight="25dp"
            android:layout_marginBottom="9dp"
            android:drawableRight="@drawable/ic_gamedetail_recommend_arrow_right"
            android:drawablePadding="2dp"
            android:includeFontPadding="false"
            android:maxLength="8"
            android:paddingTop="3dp"
            android:paddingBottom="3dp"
            android:textColor="@color/theme_font"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/recommendText"
            tools:text="点击查看内容" />

        <ImageView
            android:id="@+id/recommendCloseIv"
            android:layout_width="21dp"
            android:layout_height="21dp"
            android:src="@drawable/ic_gamedetail_recommend_close"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.gh.gamecenter.common.view.WrapContentDraweeView
        android:id="@+id/recommendImage"
        style="@style/frescoStyle"
        android:layout_width="68dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginBottom="24dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>